
package de.ivu.elect.presentation.gruppe.table;

import de.ivu.elect.business.gruppe.entity.GruppeKumulierteStimmen;
import de.ivu.elect.jee.faces.Messages;

public class GruppeKumulierteStimmenAnzahlListenstimmenDifferenzColumn extends AbstractGruppeKumulierteStimmenAnzahlDifferenzColumn {

  private static final long serialVersionUID = 1L;

  public GruppeKumulierteStimmenAnzahlListenstimmenDifferenzColumn(Messages messages) {
    super(messages);
  }

  @Override
  public Long getValue(GruppeKumulierteStimmen gruppeKumulierteStimmen) {
    if (gruppeKumulierteStimmen.isHatListeInGebietshierarchie()) {
      return gruppeKumulierteStimmen.getAnzahlListenstimmenDifferenz();
    }

    return null;
  }
}
